Class Fox::FXVerticalFrame

In: | FXVerticalFrame.rb
Parent: | FXPacker

Vertical frame layout manager widget is used to automatically place child-windows vertically from top-to-bottom, or bottom-to-top, depending on the child window’s layout hints.

Methods

new

Public Class methods

new(parent, opts=0, x=0, y=0, width=0, height=0, padLeft=DEFAULT_SPACING, padRight=DEFAULT_SPACING, padTop=DEFAULT_SPACING, padBottom=DEFAULT_SPACING, hSpacing=DEFAULT_SPACING, vSpacing=DEFAULT_SPACING) {|theVerticalFrame| ...}

Construct a vertical frame layout manager.